# Tesseract Languages

The `lang` property of the options object passed to `Tesseract.recognize` can have one of the following values (the default is `'eng'`.):

Lang Code | Language | 4.0 traineddata
:---------| :------- | :---------------
afr | Afrikaans | [afr.traineddata.gz](https://tessdata.projectnaptha.com/4.00/afr.traineddata.gz)
amh | Amharic | [amh.traineddata.gz](https://tessdata.projectnaptha.com/4.00/amh.traineddata.gz)
ara | Arabic | [ara.traineddata.gz](https://tessdata.projectnaptha.com/4.00/ara.traineddata.gz)
asm | Assamese | [asm.traineddata.gz](https://tessdata.projectnaptha.com/4.00/asm.traineddata.gz)
aze | Azerbaijani | [aze.traineddata.gz](https://tessdata.projectnaptha.com/4.00/aze.traineddata.gz)
aze_cyrl | Azerbaijani - Cyrillic | [aze_cyrl.traineddata.gz](https://tessdata.projectnaptha.com/4.00/aze_cyrl.traineddata.gz)
bel | Belarusian | [bel.traineddata.gz](https://tessdata.projectnaptha.com/4.00/bel.traineddata.gz)
ben | Bengali | [ben.traineddata.gz](https://tessdata.projectnaptha.com/4.00/ben.traineddata.gz)
bod | Tibetan | [bod.traineddata.gz](https://tessdata.projectnaptha.com/4.00/bod.traineddata.gz)
bos | Bosnian | [bos.traineddata.gz](https://tessdata.projectnaptha.com/4.00/bos.traineddata.gz)
bul | Bulgarian | [bul.traineddata.gz](https://tessdata.projectnaptha.com/4.00/bul.traineddata.gz)
cat | Catalan; Valencian | [cat.traineddata.gz](https://tessdata.projectnaptha.com/4.00/cat.traineddata.gz)
ceb | Cebuano | [ceb.traineddata.gz](https://tessdata.projectnaptha.com/4.00/ceb.traineddata.gz)
ces | Czech | [ces.traineddata.gz](https://tessdata.projectnaptha.com/4.00/ces.traineddata.gz)
chi_sim | Chinese - Simplified | [chi_sim.traineddata.gz](https://tessdata.projectnaptha.com/4.00/chi_sim.traineddata.gz)
chi_tra | Chinese - Traditional | [chi_tra.traineddata.gz](https://tessdata.projectnaptha.com/4.00/chi_tra.traineddata.gz)
chr | Cherokee | [chr.traineddata.gz](https://tessdata.projectnaptha.com/4.00/chr.traineddata.gz)
cym | Welsh | [cym.traineddata.gz](https://tessdata.projectnaptha.com/4.00/cym.traineddata.gz)
dan | Danish | [dan.traineddata.gz](https://tessdata.projectnaptha.com/4.00/dan.traineddata.gz)
deu | German | [deu.traineddata.gz](https://tessdata.projectnaptha.com/4.00/deu.traineddata.gz)
dzo | Dzongkha | [dzo.traineddata.gz](https://tessdata.projectnaptha.com/4.00/dzo.traineddata.gz)
ell | Greek, Modern (1453-) | [ell.traineddata.gz](https://tessdata.projectnaptha.com/4.00/ell.traineddata.gz)
eng | English | [eng.traineddata.gz](https://tessdata.projectnaptha.com/4.00/eng.traineddata.gz)
enm | English, Middle (1100-1500) | [enm.traineddata.gz](https://tessdata.projectnaptha.com/4.00/enm.traineddata.gz)
epo | Esperanto | [epo.traineddata.gz](https://tessdata.projectnaptha.com/4.00/epo.traineddata.gz)
est | Estonian | [est.traineddata.gz](https://tessdata.projectnaptha.com/4.00/est.traineddata.gz)
eus | Basque | [eus.traineddata.gz](https://tessdata.projectnaptha.com/4.00/eus.traineddata.gz)
fas | Persian | [fas.traineddata.gz](https://tessdata.projectnaptha.com/4.00/fas.traineddata.gz)
fin | Finnish | [fin.traineddata.gz](https://tessdata.projectnaptha.com/4.00/fin.traineddata.gz)
fra | French | [fra.traineddata.gz](https://tessdata.projectnaptha.com/4.00/fra.traineddata.gz)
frk | Frankish | [frk.traineddata.gz](https://tessdata.projectnaptha.com/4.00/frk.traineddata.gz)
frm | French, Middle (ca. 1400-1600) | [frm.traineddata.gz](https://tessdata.projectnaptha.com/4.00/frm.traineddata.gz)
gle | Irish | [gle.traineddata.gz](https://tessdata.projectnaptha.com/4.00/gle.traineddata.gz)
glg | Galician | [glg.traineddata.gz](https://tessdata.projectnaptha.com/4.00/glg.traineddata.gz)
grc | Greek, Ancient (-1453) | [grc.traineddata.gz](https://tessdata.projectnaptha.com/4.00/grc.traineddata.gz)
guj | Gujarati | [guj.traineddata.gz](https://tessdata.projectnaptha.com/4.00/guj.traineddata.gz)
hat | Haitian; Haitian Creole | [hat.traineddata.gz](https://tessdata.projectnaptha.com/4.00/hat.traineddata.gz)
heb | Hebrew | [heb.traineddata.gz](https://tessdata.projectnaptha.com/4.00/heb.traineddata.gz)
hin | Hindi | [hin.traineddata.gz](https://tessdata.projectnaptha.com/4.00/hin.traineddata.gz)
hrv | Croatian | [hrv.traineddata.gz](https://tessdata.projectnaptha.com/4.00/hrv.traineddata.gz)
hun | Hungarian | [hun.traineddata.gz](https://tessdata.projectnaptha.com/4.00/hun.traineddata.gz)
iku | Inuktitut | [iku.traineddata.gz](https://tessdata.projectnaptha.com/4.00/iku.traineddata.gz)
ind | Indonesian | [ind.traineddata.gz](https://tessdata.projectnaptha.com/4.00/ind.traineddata.gz)
isl | Icelandic | [isl.traineddata.gz](https://tessdata.projectnaptha.com/4.00/isl.traineddata.gz)
ita | Italian | [ita.traineddata.gz](https://tessdata.projectnaptha.com/4.00/ita.traineddata.gz)
ita_old | Italian - Old | [ita_old.traineddata.gz](https://tessdata.projectnaptha.com/4.00/ita_old.traineddata.gz)
jav | Javanese | [jav.traineddata.gz](https://tessdata.projectnaptha.com/4.00/jav.traineddata.gz)
jpn | Japanese | [jpn.traineddata.gz](https://tessdata.projectnaptha.com/4.00/jpn.traineddata.gz)
kan | Kannada | [kan.traineddata.gz](https://tessdata.projectnaptha.com/4.00/kan.traineddata.gz)
kat | Georgian | [kat.traineddata.gz](https://tessdata.projectnaptha.com/4.00/kat.traineddata.gz)
kat_old | Georgian - Old | [kat_old.traineddata.gz](https://tessdata.projectnaptha.com/4.00/kat_old.traineddata.gz)
kaz | Kazakh | [kaz.traineddata.gz](https://tessdata.projectnaptha.com/4.00/kaz.traineddata.gz)
khm | Central Khmer | [khm.traineddata.gz](https://tessdata.projectnaptha.com/4.00/khm.traineddata.gz)
kir | Kirghiz; Kyrgyz | [kir.traineddata.gz](https://tessdata.projectnaptha.com/4.00/kir.traineddata.gz)
kor | Korean | [kor.traineddata.gz](https://tessdata.projectnaptha.com/4.00/kor.traineddata.gz)
kur | Kurdish | [kur.traineddata.gz](https://tessdata.projectnaptha.com/4.00/kur.traineddata.gz)
lao | Lao | [lao.traineddata.gz](https://tessdata.projectnaptha.com/4.00/lao.traineddata.gz)
lat | Latin | [lat.traineddata.gz](https://tessdata.projectnaptha.com/4.00/lat.traineddata.gz)
lav | Latvian | [lav.traineddata.gz](https://tessdata.projectnaptha.com/4.00/lav.traineddata.gz)
lit | Lithuanian | [lit.traineddata.gz](https://tessdata.projectnaptha.com/4.00/lit.traineddata.gz)
mal | Malayalam | [mal.traineddata.gz](https://tessdata.projectnaptha.com/4.00/mal.traineddata.gz)
mar | Marathi | [mar.traineddata.gz](https://tessdata.projectnaptha.com/4.00/mar.traineddata.gz)
mkd | Macedonian | [mkd.traineddata.gz](https://tessdata.projectnaptha.com/4.00/mkd.traineddata.gz)
mlt | Maltese | [mlt.traineddata.gz](https://tessdata.projectnaptha.com/4.00/mlt.traineddata.gz)
msa | Malay | [msa.traineddata.gz](https://tessdata.projectnaptha.com/4.00/msa.traineddata.gz)
mya | Burmese | [mya.traineddata.gz](https://tessdata.projectnaptha.com/4.00/mya.traineddata.gz)
nep | Nepali | [nep.traineddata.gz](https://tessdata.projectnaptha.com/4.00/nep.traineddata.gz)
nld | Dutch; Flemish | [nld.traineddata.gz](https://tessdata.projectnaptha.com/4.00/nld.traineddata.gz)
nor | Norwegian | [nor.traineddata.gz](https://tessdata.projectnaptha.com/4.00/nor.traineddata.gz)
ori | Oriya | [ori.traineddata.gz](https://tessdata.projectnaptha.com/4.00/ori.traineddata.gz)
pan | Panjabi; Punjabi | [pan.traineddata.gz](https://tessdata.projectnaptha.com/4.00/pan.traineddata.gz)
pol | Polish | [pol.traineddata.gz](https://tessdata.projectnaptha.com/4.00/pol.traineddata.gz)
por | Portuguese | [por.traineddata.gz](https://tessdata.projectnaptha.com/4.00/por.traineddata.gz)
pus | Pushto; Pashto | [pus.traineddata.gz](https://tessdata.projectnaptha.com/4.00/pus.traineddata.gz)
ron | Romanian; Moldavian; Moldovan | [ron.traineddata.gz](https://tessdata.projectnaptha.com/4.00/ron.traineddata.gz)
rus | Russian | [rus.traineddata.gz](https://tessdata.projectnaptha.com/4.00/rus.traineddata.gz)
san | Sanskrit | [san.traineddata.gz](https://tessdata.projectnaptha.com/4.00/san.traineddata.gz)
sin | Sinhala; Sinhalese | [sin.traineddata.gz](https://tessdata.projectnaptha.com/4.00/sin.traineddata.gz)
slk | Slovak | [slk.traineddata.gz](https://tessdata.projectnaptha.com/4.00/slk.traineddata.gz)
slv | Slovenian | [slv.traineddata.gz](https://tessdata.projectnaptha.com/4.00/slv.traineddata.gz)
spa | Spanish; Castilian | [spa.traineddata.gz](https://tessdata.projectnaptha.com/4.00/spa.traineddata.gz)
spa_old | Spanish; Castilian - Old | [spa_old.traineddata.gz](https://tessdata.projectnaptha.com/4.00/spa_old.traineddata.gz)
sqi | Albanian | [sqi.traineddata.gz](https://tessdata.projectnaptha.com/4.00/sqi.traineddata.gz)
srp | Serbian | [srp.traineddata.gz](https://tessdata.projectnaptha.com/4.00/srp.traineddata.gz)
srp_latn | Serbian - Latin | [srp_latn.traineddata.gz](https://tessdata.projectnaptha.com/4.00/srp_latn.traineddata.gz)
swa | Swahili | [swa.traineddata.gz](https://tessdata.projectnaptha.com/4.00/swa.traineddata.gz)
swe | Swedish | [swe.traineddata.gz](https://tessdata.projectnaptha.com/4.00/swe.traineddata.gz)
syr | Syriac | [syr.traineddata.gz](https://tessdata.projectnaptha.com/4.00/syr.traineddata.gz)
tam | Tamil | [tam.traineddata.gz](https://tessdata.projectnaptha.com/4.00/tam.traineddata.gz)
tel | Telugu | [tel.traineddata.gz](https://tessdata.projectnaptha.com/4.00/tel.traineddata.gz)
tgk | Tajik | [tgk.traineddata.gz](https://tessdata.projectnaptha.com/4.00/tgk.traineddata.gz)
tgl | Tagalog | [tgl.traineddata.gz](https://tessdata.projectnaptha.com/4.00/tgl.traineddata.gz)
tha | Thai | [tha.traineddata.gz](https://tessdata.projectnaptha.com/4.00/tha.traineddata.gz)
tir | Tigrinya | [tir.traineddata.gz](https://tessdata.projectnaptha.com/4.00/tir.traineddata.gz)
tur | Turkish | [tur.traineddata.gz](https://tessdata.projectnaptha.com/4.00/tur.traineddata.gz)
uig | Uighur; Uyghur | [uig.traineddata.gz](https://tessdata.projectnaptha.com/4.00/uig.traineddata.gz)
ukr | Ukrainian | [ukr.traineddata.gz](https://tessdata.projectnaptha.com/4.00/ukr.traineddata.gz)
urd | Urdu | [urd.traineddata.gz](https://tessdata.projectnaptha.com/4.00/urd.traineddata.gz)
uzb | Uzbek | [uzb.traineddata.gz](https://tessdata.projectnaptha.com/4.00/uzb.traineddata.gz)
uzb_cyrl | Uzbek - Cyrillic | [uzb_cyrl.traineddata.gz](https://tessdata.projectnaptha.com/4.00/uzb_cyrl.traineddata.gz)
vie | Vietnamese | [vie.traineddata.gz](https://tessdata.projectnaptha.com/4.00/vie.traineddata.gz)
yid | Yiddish | [yid.traineddata.gz](https://tessdata.projectnaptha.com/4.00/yid.traineddata.gz)
